org.apache.sling.commons.osgi

## Interface RankedServices.ChangeListener

Enclosing class:
  RankedServices<T>

    @ConsumerType
    public static interface RankedServices.ChangeListener

Notification for changes on services list.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `changed()` Is called when the list of ranked services was changed due to bundle bindings/unbindings.

### Method Detail

#### changed

    void changed()

Is called when the list of ranked services was changed due to bundle bindings/unbindings. This method is called within a synchronized block, so it's code should be kept as efficient as possible.